# Postback

{% hint style="info" %}

#### Note:

To notify us of a successful event or conversion, please call our postback endpoint. Ensure you replace the parameters listed below before making the call.
{% endhint %}

<mark style="color:blue;">`GET`</mark> `https://postback.adbreakmedia.com/api/advertisers`

You need to hit this url on each conversion

#### Query Parameters

| Name                                        | Type   | Description                                                                                                      |
| ------------------------------------------- | ------ | ---------------------------------------------------------------------------------------------------------------- |
| clickId<mark style="color:red;">\*</mark>   | String | The clickId that we passed to you on tracking url                                                                |
| secretKey<mark style="color:red;">\*</mark> | String | Your account secret key, this can be found on setting/api-credentials                                            |
| eventId                                     | String | this is only required if you are running multi-event campaign, it help us to determine which event got completed |

{% tabs %}
{% tab title="200: OK Success" %}
Success
{% endtab %}

{% tab title="400: Bad Request Missing Parameters" %}
Missing Parameters
{% endtab %}

{% tab title="400: Bad Request Invalid Secret Key" %}
Invalid Secret Key
{% endtab %}

{% tab title="400: Bad Request Invalid Click ID" %}
Invalid Click ID
{% endtab %}

{% tab title="400: Bad Request Missing Event Id in MultiEvent Campaign" %}
Missing Event Id in MultiEvent Campaign
{% endtab %}
{% endtabs %}

### Example Postback

{% hint style="success" %}
<https://postback.adbreakmedia.com/api/advertisers?clickId=m28rGeucSHtb2aNoMJz3HEV7PDhQym\\&secretKey=EU27kXq6DnGaHcNUhWSE6upqtGP7D7\\&eventId=1>
{% endhint %}

{% hint style="info" %}

#### Hint:

For prompt assistance with postback setup or tracking URL configuration, please feel free to contact us at <business@adbreakmedia.com> . We are committed to providing you with timely support.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adbreakmedia.com/advertising/postback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
